package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppPetType;

/**
 * 宠物类型Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface AppPetTypeMapper 
{
    /**
     * 查询宠物类型
     * 
     * @param petTypeId 宠物类型主键
     * @return 宠物类型
     */
    public AppPetType selectAppPetTypeByPetTypeId(Long petTypeId);

    /**
     * 查询宠物类型列表
     * 
     * @param appPetType 宠物类型
     * @return 宠物类型集合
     */
    public List<AppPetType> selectAppPetTypeList(AppPetType appPetType);

    /**
     * 新增宠物类型
     * 
     * @param appPetType 宠物类型
     * @return 结果
     */
    public int insertAppPetType(AppPetType appPetType);

    /**
     * 修改宠物类型
     * 
     * @param appPetType 宠物类型
     * @return 结果
     */
    public int updateAppPetType(AppPetType appPetType);

    /**
     * 删除宠物类型
     * 
     * @param petTypeId 宠物类型主键
     * @return 结果
     */
    public int deleteAppPetTypeByPetTypeId(Long petTypeId);

    /**
     * 批量删除宠物类型
     * 
     * @param petTypeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppPetTypeByPetTypeIds(Long[] petTypeIds);

    /**
     * 查询宠物类型列表
     *
     * @return 宠物类型集合
     */
    public List<AppPetType> getAppPetTypeList();
}
